#!/bin/bash

ulimit -s 8192

conda activate pylot_311

##qsub -l low -cwd -l "os=*stretch" -pe mpi-fu 40 submit_fmtomo_teleseismic.sh
#$ -l low
##$ -l os=*stretch
#$ -cwd
#$ -pe smp 40
#$ -q "*@minos11, *@minos12, *@minos15"
### WARNING fm3d_prepare_tele not compiled correctly for all cluster machines (e.g. not working on minos12, minos15)

export PYTHONPATH="$PYTHONPATH:/home/marcel/git/"
export PYTHONPATH="$PYTHONPATH:/home/marcel/git/pylot/"
export PYTHONPATH="$PYTHONPATH:/home/marcel/git/pylot_tools/"

#python fmtomo_teleseismic.py '/data/AlpArray_Data/dmt_database_mantle_0.03-0.1_revised' \
#'/data/AlpArray_Data/fmtomo/v6/crust_incl_lf_sm_FIX_DTS_grad_sm30_dm10' \
#'_correlated_0.03-0.1' -n $NSLOTS --blacklist '/rscratch/minos22/marcel/alparray/station_blacklist.csv'
# --model 'ak135_diehl_v2'

#python fmtomo_teleseismic.py '/data/AlpArray_Data/dmt_database_mantle_0.03-0.5_revised' \
#'/data/AlpArray_Data/fmtomo/v6/crust_incl_hf_sm_FIX_DTS_grad_sm30_dm10' \
#'_correlated_0.03-0.5' -n $NSLOTS --blacklist '/rscratch/minos22/marcel/alparray/station_blacklist.csv'
# --model 'ak135_diehl_v2'

#python fmtomo_teleseismic.py '/data/AlpArray_Data/dmt_database_mantle_0.01-0.2_S_SKS' \
#'/data/AlpArray_Data/fmtomo/v6_S/crust_incl_hf_KSTL_grad_sm6_dm10/' \
#'_correlated_0.01-0.2_S*' -n $NSLOTS --blacklist '/data/AlpArray_Data/various/alparray/station_blacklist.csv'
# --model 'ak135_diehl_v2'
#
#python fmtomo_teleseismic.py '/data/AlpArray_Data/dmt_database_mantle_0.03-0.5_revised' \
# '/rscratch/minos13/marcel/fmtomo_alparray/v3.5/alparray_mantle_diehl_crust_included_hf_no_init' \
# '_correlated_0.03-0.5' -n $NSLOTS --no_write_init_nodes --model 'ak135_diehl_v2'

#python fmtomo_teleseismic.py '/data/AlpArray_Data/dmt_database_hybrid_test' \
# '/rscratch/minos13/marcel/fmtomo_alparray/v3/hybrid_method_test_pgrid_fine' \
# '' -n $NSLOTS #--blacklist '/rscratch/minos22/marcel/alparray/station_blacklist.csv' --model 'ak135_diehl_v2'

#python fmtomo_teleseismic.py '/data/AlpArray_Data/dmt_database_hybrid_test_diehl_v2' \
#'/data/AlpArray_Data/fmtomo/v6/hybrid_method_test' \
#'' -n $NSLOTS --model 'ak135_diehl_v2'
#--blacklist '/rscratch/minos22/marcel/alparray/station_blacklist.csv'

#python fmtomo_teleseismic.py '/data/AlpArray_Data/dmt_database_hybrid_test_diehl_v2_orig_box_more_stations' \
#'/data/AlpArray_Data/fmtomo/v5/hybrid_method_tests_diss/v5_orig_box_size_more_receiver_no_demean_CORRECTED_depth_sampling' \
#'' -n $NSLOTS --model 'ak135_diehl_v2'

#python fmtomo_teleseismic.py '/data/AlpArray_Data/dmt_database_synth_model_mk6_it3_no_rotation' \
#'/data/AlpArray_Data/fmtomo/v6_resolution_analysis/fwi_mk6_it3_P' \
#'_correlated_P' -n $NSLOTS --model 'ak135_diehl_v2'

#python fmtomo_teleseismic.py '/data/AdriaArray_Data/dmt_database_alpadege' \
#'/data/AdriaArray_Data/fmtomo_adriaarray/alpadege/no_crust_correction' \
#'_correlated_0.03-0.5' -n $NSLOTS --model 'ak135'

python fmtomo_teleseismic.py '/data/AdriaArray_Data/dmt_database_minimal' \
'/data/AdriaArray_Data/fmtomo_adriaarray/alpadege/test_minimal' \
'_correlated_0.03-0.5' -n $NSLOTS --model 'ak135'

